Package Details: otf-latin-modern 2.004-2

Git Clone URL: https://aur.archlinux.org/otf-latin-modern.git (read-only)
Package Base: otf-latin-modern
Description: Improved version of Computer Modern fonts as used in LaTeX
Upstream URL: http://www.gust.org.pl/projects/e-foundry/latin-modern
Licenses: custom:GFL
Submitter: bal0r
Maintainer: Marcel_K
Last Packager: Marcel_K
Votes: 36
Popularity: 0.974693
First Submitted: 2012-08-06 11:16
Last Updated: 2015-06-09 22:30

Latest Comments

bal0r commented on 2014-11-27 08:09

Sorry, Marcel_K, I don't have time at the moment, so I abondoned the package. I would be glad, if you make the appropriate corrections.
Cheers,
Max

Marcel_K commented on 2014-10-21 23:44

BTW, you should install a license file when using a custom license (and nowadays, this package belongs to category 'fonts').

Marcel_K commented on 2014-10-21 23:43

You shouldn't touch $pkgdir in build(), use package() instead; and you don't need to mkfontscale and mkfontdir usr/share/fonts/TTF if you don't install font files there.

titiwu commented on 2013-05-12 07:18

To all users of this package:

PLEASE USE otf-latin-modern

I will not update this package any more since having two equal packages in aur makes no sense.
Thank you for you answer, hilton.

hilton commented on 2013-05-11 14:27

Hello titiwu,

yes, the correct folder to install the OTF fonts is /usr/share/fonts/OTF
Also, in the .install file you should specify the folder name like this:

fc-cache -f &> /dev/null
mkfontdir /usr/share/fonts/OTF
mkfontscale /usr/share/fonts/OTF

Cheers

titiwu commented on 2013-04-25 17:32

I've no problem if my package is removed. The only difference seems to be the destination (/usr/share/fonts/OTF in otf-latin-modern)

Is there any "better" ore correct folder for the fonts?

But I will update the package anyway! Thanks for the hint.

crobe2 commented on 2013-04-24 14:22

The mkdir and install lines should state:

mkdir -p $startdir/pkg/$pkgname/usr/share/fonts/TTF
install -m 0644 *.otf $startdir/pkg/$pkgname/usr/share/fonts/TTF

And one of the otf-latinmodern and otf-latin-modern packages is obsolete...